低危 block: iscsi:通过iSCSI Server的意外响应进行OOB堆访问

CVE编号

CVE-2020-1711

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-02-12
漏洞描述
 在4.2.1之前,在QE MU版本2.12.0中的iSCSI块驱动程序处理来自iSCSI服务器的响应时,在iscsi_co_block_status()例程中检查逻辑地址块(LBA)的状态,发现了一堆缓冲区访问缺陷。 远程用户可以使用此缺陷来崩溃QE MU进程,从而导致拒绝服务或可能执行具有主机上QE MU进程特权的任意代码。
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.qemu.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 qemu qemu * From
(including)
2.12.0
Up to
(excluding)
4.2.1
运行在以下环境
应用 redhat openstack 10 -
运行在以下环境
应用 redhat openstack 13.0 -
运行在以下环境
系统 amazon_2 qemu * Up to
(excluding)
3.1.0-8.amzn2.0.2
运行在以下环境
系统 centos_8 qemu * Up to
(excluding)
1.38.4-14.module+el8.1.0+4066+0f1aadab
运行在以下环境
系统 debian_10 qemu * Up to
(excluding)
1:3.1+dfsg-8+deb10u4
运行在以下环境
系统 debian_8 qemu * Up to
(excluding)
1:2.1+dfsg-12+deb8u7
运行在以下环境
系统 debian_9 qemu * Up to
(excluding)
1:2.8+dfsg-6+deb9u11
运行在以下环境
系统 opensuse_Leap_15.1 qemu * Up to
(excluding)
3.1.1.1-lp151.7.12.1
运行在以下环境
系统 oracle_7 qemu * Up to
(excluding)
3.1.0-7.el7
运行在以下环境
系统 oracle_8 qemu * Up to
(excluding)
1.38.4-14.0.1.module+el8.1.0+5378+c5e0f4d7
运行在以下环境
系统 redhat_8 qemu * Up to
(excluding)
1.38.4-14.module+el8.1.0+4066+0f1aadab
运行在以下环境
系统 suse_12_SP4 qemu * Up to
(excluding)
1.0.0
运行在以下环境
系统 suse_12_SP5 qemu * Up to
(excluding)
3.1.1.1-3.9.1
运行在以下环境
系统 ubuntu_16.04 qemu * Up to
(excluding)
1:2.5+dfsg-5ubuntu10.43
运行在以下环境
系统 ubuntu_18.04 qemu * Up to
(excluding)
1:2.11+dfsg-1ubuntu7.23
运行在以下环境
系统 ubuntu_20.04 qemu * Up to
(excluding)
1:4.2-3ubuntu1
运行在以下环境
系统 ubuntu_21.04 qemu * Up to
(excluding)
1:4.2-3ubuntu1
运行在以下环境
系统 unionos_20 qemu * Up to
(excluding)
1:3.1+dfsg.1-1+dde
阿里云评分
3.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况